#include <Adafruit_NeoPixel.h>
 
#define PIN 8

int numPixels = 12;

Adafruit_NeoPixel strip = Adafruit_NeoPixel(numPixels, PIN, NEO_GRB + NEO_KHZ800);

uint32_t red = strip.Color(255, 0, 0); //RGB Farbe Rot
uint32_t green = strip.Color(0, 255, 0); //RGB Farbe Grün

void setup() {
  strip.begin();
  strip.setBrightness(5); //die Helligkeit setzen 0 dunke -> 255 ganz hell
  strip.show(); // Alle NeoPixel sind im Status "aus".
}
 
void loop() {  
 for(uint16_t i=0; i<strip.numPixels(); i++) { //Für jeden NeoPixel
      strip.setPixelColor(i, red); // Farbe Rot setzen
      strip.show(); //Anzeigen
      delay(1000); //Warten von 1 sek.
      strip.setPixelColor(i, green); //Farbe Grün setzen 
      strip.show(); //Anzeigen
      //Wenn noch NeoPixel folgen dann den Wert "i" um 1 erhöhen und von vorne beginnen wenn nicht Schleife beenden.
  }
  //Weiter zum Anfang der Loop Funktion.
}

